// AEon's Cell Shaders
// ------------------- 10/14/2009

// - SFX:   The special textures in this set, plus the predefined colors.
//			Banner, JP, AP, fan based on id textures.
// - LIGHT: All the light sources in this set.
//			Mostly based on "Andromeda" texture set by Speedy.
//			lamp3 based on id texture.
//			lamp4 by AEon.
//			e8trlight design based on texture from evil lair's E8 set.

// Re-created (traced & abstracted) for template texture set by AEon.
// Main orange color: E18022, 225 128 34 -> 0.8789062 0.500000 0.1328125


// *************
// **** SFX ****
// *************

// AP shader based on id's sfx/launchpad_metalbridge04d
textures/aecell_sfx/aecell_ap
{
    qer_editorimage textures/aecell_sfx/aecell_ap.tga
	q3map_surfacelight 400						// AP also shows light!
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_apg.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

// Based on id's textures/base_wall/protobanner
//***BROKEN!
textures/aecell_sfx/aecell_banner
{
	qer_editorimage textures/aecell_sfx/aecell_banner.tga
	qer_trans 0.99
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	{
		map textures/aecell_gray/aecell_bannerg.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen const ( 0.8789062 0.500000 0.1328125 )  // *** CORRECT HERE???
//		rgbGen identity // This seems to work.
		blendFunc filter
		depthFunc equal
	}
}


// Based on id's textures/sfx/fan shader
textures/aecell_sfx/aecell_fan1
{
	qer_editorimage textures/aecell_sfx/aecell_fan1.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		clampmap textures/aecell_gray/aecell_fan1g.tga
		tcMod rotate -150
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_sfx/aecell_fan2
{
	qer_editorimage textures/aecell_sfx/aecell_fan2.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		clampmap textures/aecell_gray/aecell_fan2g.tga
		tcMod rotate -150
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

textures/aecell_sfx/aecell_fan3
{
	qer_editorimage textures/aecell_sfx/aecell_fan3.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		clampmap textures/aecell_gray/aecell_fan3g.tga
		tcMod rotate -150
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
		depthFunc equal
	}
}

// "Nicer", more detailed JP
textures/aecell_sfx/aecell_jp
{
    qer_editorimage textures/aecell_sfx/aecell_jp.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	{
		map textures/aecell_gray/aecell_jpg.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}



// ***************
// **** LIGHT ****
// ***************

// textures/aecell_gray/aecell_lamp1_blend_red
// textures/aecell_gray/aecell_lamp1_blend_white
// textures/aecell_gray/aecell_lamp1_blend_yellow
// textures/aecell_sfx/aecell_lamp1
textures/aecell_sfx/aecell_lamp1_red
{
	qer_editorimage textures/aecell_sfx/aecell_lamp1_red.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp1_blend_red.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp1_blend_red.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_lamp1_white
{
	qer_editorimage textures/aecell_sfx/aecell_lamp1_white.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp1_blend_white.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp1_blend_white.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_lamp1_yellow
{
	qer_editorimage textures/aecell_sfx/aecell_lamp1_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp1_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp1_blend_yellow.tga
		alphaFunc GE128
		depthWrite
	}
}

// textures/aecell_gray/aecell_lamp2_blend_red
// textures/aecell_gray/aecell_lamp2_blend_white
// textures/aecell_gray/aecell_lamp2_blend_yellow
// textures/aecell_sfx/aecell_lamp2
textures/aecell_sfx/aecell_lamp2_red
{
	qer_editorimage textures/aecell_sfx/aecell_lamp2_red.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp2_blend_red.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp2_blend_red.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_lamp2_white
{
	qer_editorimage textures/aecell_sfx/aecell_lamp2_white.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp2_blend_white.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp2_blend_white.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_lamp2_yellow
{
	qer_editorimage textures/aecell_sfx/aecell_lamp2_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp2_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp2_blend_yellow.tga
		alphaFunc GE128
		depthWrite
	}
}

// textures/aecell_gray/aecell_lamp3_blend_red
// textures/aecell_gray/aecell_lamp3_blend_white
// textures/aecell_gray/aecell_lamp3_blend_yellow
// textures/aecell_sfx/aecell_lamp3
textures/aecell_sfx/aecell_lamp3_red_8k
{
	qer_editorimage textures/aecell_sfx/aecell_lamp3_red.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp3_blend_red.tga
	q3map_backsplash 1 23
	q3map_surfacelight 8000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp3g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp3_blend_red.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_lamp3_white_50k
{
	qer_editorimage textures/aecell_sfx/aecell_lamp3_white.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp3_blend_white.tga
	q3map_backsplash 1 23
	q3map_surfacelight 50000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp3g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp3_blend_white.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_lamp3_yellow_50k
{
	qer_editorimage textures/aecell_sfx/aecell_lamp3_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp3_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_surfacelight 50000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp3g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp3_blend_yellow.tga
		alphaFunc GE128
		depthWrite
	}
}

// textures/aecell_gray/aecell_lamp4_blend_red
// textures/aecell_gray/aecell_lamp4_blend_white
// textures/aecell_gray/aecell_lamp4_blend_yellow
// textures/aecell_sfx/aecell_lamp4
textures/aecell_sfx/aecell_lamp4_red_8k
{
	qer_editorimage textures/aecell_sfx/aecell_lamp4_red.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp4_blend_red.tga
	q3map_backsplash 1 23
	q3map_surfacelight 8000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp4g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp4_blend_red.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_lamp4_white_50k
{
	qer_editorimage textures/aecell_sfx/aecell_lamp4_white.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp4_blend_white.tga
	q3map_backsplash 1 23
	q3map_surfacelight 50000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp4g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp4_blend_white.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_lamp4_yellow_50k
{
	qer_editorimage textures/aecell_sfx/aecell_lamp4_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_lamp4_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_surfacelight 50000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_lamp4g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_lamp4_blend_yellow.tga
		alphaFunc GE128
		depthWrite
	}
}


// textures/aecell_gray/aecell_light_blend_orange
// textures/aecell_gray/aecell_light_blend_red
// textures/aecell_gray/aecell_light_blend_white
// textures/aecell_gray/aecell_light_blend_yellow
// textures/aecell_sfx/aecell_light1
// textures/aecell_sfx/aecell_light2
textures/aecell_sfx/aecell_light1_orange
{
	qer_editorimage textures/aecell_sfx/aecell_light1_orange.tga
	q3map_lightimage textures/aecell_gray/aecell_light_blend_orange.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_light_blend_orange.tga
	}
	{
		map textures/aecell_gray/aecell_light1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_sfx/aecell_light1_red
{
	qer_editorimage textures/aecell_sfx/aecell_light1_red.tga
	q3map_lightimage textures/aecell_gray/aecell_light_blend_red.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_light_blend_red.tga
	}
	{
		map textures/aecell_gray/aecell_light1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_sfx/aecell_light1_white
{
	qer_editorimage textures/aecell_sfx/aecell_light1_white.tga
	q3map_lightimage textures/aecell_gray/aecell_light_blend_white.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_light_blend_white.tga
	}
	{
		map textures/aecell_gray/aecell_light1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_sfx/aecell_light1_yellow
{
	qer_editorimage textures/aecell_sfx/aecell_light1_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_light_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_light_blend_yellow.tga
	}
	{
		map textures/aecell_gray/aecell_light1g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_sfx/aecell_light2_orange
{
	qer_editorimage textures/aecell_sfx/aecell_light2_orange.tga
	q3map_lightimage textures/aecell_gray/aecell_light_blend_orange.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_light_blend_orange.tga
	}
	{
		map textures/aecell_gray/aecell_light2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_sfx/aecell_light2_red
{
	qer_editorimage textures/aecell_sfx/aecell_light2_red.tga
	q3map_lightimage textures/aecell_gray/aecell_light_blend_red.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_light_blend_red.tga
	}
	{
		map textures/aecell_gray/aecell_light2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_sfx/aecell_light2_white
{
	qer_editorimage textures/aecell_sfx/aecell_light2_white.tga
	q3map_lightimage textures/aecell_gray/aecell_light_blend_white.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_light_blend_white.tga
	}
	{
		map textures/aecell_gray/aecell_light2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}

textures/aecell_sfx/aecell_light2_yellow
{
	qer_editorimage textures/aecell_sfx/aecell_light2_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_light_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_light_blend_yellow.tga
	}
	{
		map textures/aecell_gray/aecell_light2g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
}


// textures/aecell_gray/aecell_longlight_blend_red
// textures/aecell_gray/aecell_longlight_blend_white
// textures/aecell_gray/aecell_longlight_blend_yellow
// textures/aecell_sfx/aecell_longlight
textures/aecell_sfx/aecell_longlight_red
{
	qer_editorimage textures/aecell_sfx/aecell_longlight_red.tga
	q3map_lightimage textures/aecell_gray/aecell_longlight_blend_red.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_longlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_longlight_blend_red.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_longlight_white
{
	qer_editorimage textures/aecell_sfx/aecell_longlight_white.tga
	q3map_lightimage textures/aecell_gray/aecell_longlight_blend_white.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_longlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_longlight_blend_white.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_longlight_yellow
{
	qer_editorimage textures/aecell_sfx/aecell_longlight_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_longlight_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_surfacelight 2000
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_longlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_longlight_blend_yellow.tga
		alphaFunc GE128
		depthWrite
	}
}


// Based on id's textures/base_wall/symbol_bluelt1
textures/aecell_sfx/aecell_symbol
{
	qer_editorimage textures/aecell_sfx/aecell_symbol.tga
	q3map_lightimage textures/aecell_gray/aecell_symbolg.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_symbolg.tga
		blendfunc filter
		rgbGen const ( 0.8789062 0.500000 0.1328125 )  // *** CORRECT HERE???
	}
	{
		map textures/base_wall/symbol_bluelt1_mask.tga
		blendfunc add
		rgbgen wave sawtooth .2 .05 0 7
	}
}


// textures/aecell_gray/aecell_trlight_blend_red
// textures/aecell_gray/aecell_trlight_blend_white
// textures/aecell_gray/aecell_trlight_blend_yellow
// textures/aecell_sfx/aecell_trlight
textures/aecell_sfx/aecell_trlight_red
{
	qer_editorimage textures/aecell_sfx/aecell_trlight_red.tga
	q3map_lightimage textures/aecell_gray/aecell_trlight_blend_red.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_trlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_trlight_blend_red.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_trlight_white
{
	qer_editorimage textures/aecell_sfx/aecell_trlight_white.tga
	q3map_lightimage textures/aecell_gray/aecell_trlight_blend_white.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_trlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_trlight_blend_white.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_trlight_yellow
{
	qer_editorimage textures/aecell_sfx/aecell_trlight_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_trlight_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_trlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_trlight_blend_yellow.tga
		alphaFunc GE128
		depthWrite
	}
}



// *****************
// **** E8LIGHT ****
// *****************
// textures/aecell_gray/aecell_trlight_blend_red
// textures/aecell_gray/aecell_trlight_blend_white
// textures/aecell_gray/aecell_trlight_blend_yellow
// textures/aecell_sfx/aecell_trlight

textures/aecell_sfx/aecell_e8trlight_red
{
	qer_editorimage textures/aecell_sfx/aecell_e8trlight_red.tga
	q3map_lightimage textures/aecell_gray/aecell_e8trlight_blend_red.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_e8trlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_e8trlight_blend_red.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_e8trlight_white
{
	qer_editorimage textures/aecell_sfx/aecell_e8trlight_white.tga
	q3map_lightimage textures/aecell_gray/aecell_e8trlight_blend_white.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_e8trlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_e8trlight_blend_white.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/aecell_sfx/aecell_e8trlight_yellow
{
	qer_editorimage textures/aecell_sfx/aecell_e8trlight_yellow.tga
	q3map_lightimage textures/aecell_gray/aecell_e8trlight_blend_yellow.tga
	q3map_backsplash 1 23
	q3map_lightsubdivide 128
	q3map_surfacelight 1600
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aecell_gray/aecell_e8trlightg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen const ( 0.8789062 0.500000 0.1328125 )
	}
	{
		map textures/aecell_gray/aecell_e8trlight_blend_yellow.tga
		alphaFunc GE128
		depthWrite
	}
}